Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Interface ResourceRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ResourceRefTypeImpl

    public interface ResourceRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `resource-refType` xsd type

Original Documentation:

The resource-refType contains a declaration of a
Deployment Component's reference to an external resource. It
consists of an optional description, the resource manager
connection factory reference name, an optional indication of
the resource manager connection factory type expected by the
Deployment Component code, an optional type of authentication
(Application or Container), and an optional specification of
the shareability of connections obtained from the resource
(Shareable or Unshareable).
It also includes optional elements to define injection of
the named resource into fields or JavaBeans properties.
The connection factory type must be supplied unless an
injection target is specified, in which case the type
of the target is used. If both are specified, the type
must be assignment compatible with the type of the injection
target.
Example:
jdbc/EmployeeAppDB
javax.sql.DataSource
Container
Shareable

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<ResourceRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`ResAuthType` | `getResAuth()` Returns the `res-auth` element
`java.lang.String` | `getResAuthAsString()` Returns the `res-auth` element
`java.lang.String` | `getResRefName()` Returns the `res-ref-name` element
`ResSharingScopeType` | `getResSharingScope()` Returns the `res-sharing-scope` element
`java.lang.String` | `getResSharingScopeAsString()` Returns the `res-sharing-scope` element
`java.lang.String` | `getResType()` Returns the `res-type` element
`InjectionTargetType<ResourceRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`ResourceRefType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ResourceRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ResourceRefType<T>` | `removeResRefName()` Removes the `res-ref-name` element
`ResourceRefType<T>` | `removeResType()` Removes the `res-type` element
`ResourceRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ResourceRefType<T>` | `setResAuth(ResAuthType resAuth)` If not already created, a new `res-auth` element with the given value will be created.
`ResourceRefType<T>` | `setResAuth(java.lang.String resAuth)` If not already created, a new `res-auth` element with the given value will be created.
`ResourceRefType<T>` | `setResRefName(java.lang.String resRefName)` If not already created, a new `res-ref-name` element with the given value will be created.
`ResourceRefType<T>` | `setResSharingScope(ResSharingScopeType resSharingScope)` If not already created, a new `res-sharing-scope` element with the given value will be created.
`ResourceRefType<T>` | `setResSharingScope(java.lang.String resSharingScope)` If not already created, a new `res-sharing-scope` element with the given value will be created.
`ResourceRefType<T>` | `setResType(java.lang.String resType)` If not already created, a new `res-type` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setMappedName

    ResourceRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### removeMappedName

    ResourceRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `ResourceRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    ResourceRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `ResourceRefType`

### injectionTarget

    InjectionTargetType<ResourceRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<ResourceRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### setDescription

    ResourceRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ResourceRefType`

### setDescriptionList

    ResourceRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceRefType`

### removeAllDescription

    ResourceRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ResourceRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setResRefName

    ResourceRefType<T> setResRefName(java.lang.String resRefName)

  If not already created, a new `res-ref-name` element with the given value will be created. Otherwise, the existing `res-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### removeResRefName

    ResourceRefType<T> removeResRefName()

  Removes the `res-ref-name` element

  Returns:
    the current instance of `ResourceRefType`

### getResRefName

    java.lang.String getResRefName()

  Returns the `res-ref-name` element

  Returns:
    the node defined for the element `res-ref-name`

### setResType

    ResourceRefType<T> setResType(java.lang.String resType)

  If not already created, a new `res-type` element with the given value will be created. Otherwise, the existing `res-type` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### removeResType

    ResourceRefType<T> removeResType()

  Removes the `res-type` element

  Returns:
    the current instance of `ResourceRefType`

### getResType

    java.lang.String getResType()

  Returns the `res-type` element

  Returns:
    the node defined for the element `res-type`

### setResAuth

    ResourceRefType<T> setResAuth(ResAuthType resAuth)

  If not already created, a new `res-auth` element with the given value will be created. Otherwise, the existing `res-auth` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### setResAuth

    ResourceRefType<T> setResAuth(java.lang.String resAuth)

  If not already created, a new `res-auth` element with the given value will be created. Otherwise, the existing `res-auth` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### getResAuth

    ResAuthType getResAuth()

  Returns the `res-auth` element

  Returns:
    the node defined for the element `res-auth`

### getResAuthAsString

    java.lang.String getResAuthAsString()

  Returns the `res-auth` element

  Returns:
    the node defined for the element `res-auth`

### setResSharingScope

    ResourceRefType<T> setResSharingScope(ResSharingScopeType resSharingScope)

  If not already created, a new `res-sharing-scope` element with the given value will be created. Otherwise, the existing `res-sharing-scope` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### setResSharingScope

    ResourceRefType<T> setResSharingScope(java.lang.String resSharingScope)

  If not already created, a new `res-sharing-scope` element with the given value will be created. Otherwise, the existing `res-sharing-scope` element will be updated with the given value.

  Returns:
    the current instance of `ResourceRefType`

### getResSharingScope

    ResSharingScopeType getResSharingScope()

  Returns the `res-sharing-scope` element

  Returns:
    the node defined for the element `res-sharing-scope`

### getResSharingScopeAsString

    java.lang.String getResSharingScopeAsString()

  Returns the `res-sharing-scope` element

  Returns:
    the node defined for the element `res-sharing-scope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD